
//=============================================================================
//
//	BoardStoneEnumerator class
//
//	Enumerates each point on the given bit board as bit board
//
//=============================================================================

#pragma once

#include "BitBoard9.h"

class BoardStoneEnumerator
{
public:
	BoardStoneEnumerator() 
	{ }

	void Initialize(BitBoard9& board)
	{
		board_ = board;
	}

	BitBoard9& Next()
	{
		stone_.CutOneStoneFrom(board_);
		return stone_;
	}

private:
	BitBoard9 board_;
	BitBoard9 stone_;
};