
#include "NeighborStoneChainEnumerator.h"
#include "StoneChain.h"

StoneChain* NeighborStoneChainEnumerator::Next()
{
	if (mask_.IsEmptyBoard())
	{
		return 0;
	}
	else
	{
		BitBoard9 stone;
		Point stonePt;
		StoneChain* chain;

		stone.CopyOneStoneFrom(mask_);
		stone.GetTheOnlyPoint(&stonePt);

		chain = state_[stonePt.x + (11 * stonePt.y)];

		mask_ -= chain->GetStones();

		return chain;
	}
}