
#include "StoneChain.h"

void StoneChain::Amalgamate(StoneChain* chain)
{
	stones_    |= chain->stones_;
	neighbors_ |= chain->neighbors_;
	neighbors_ -= stones_;
}

void StoneChain::Initialize(Move move)
{
	// set color
	color_ = move.color;

	// set a single stone
	stones_.Clear();
	stones_.SetStone(move.point);
	stones_.Update();

	// set neighbors
	neighbors_.Clear();
	neighbors_.InitializeWithPointsAround(move.point);
}